This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 595143 - Removing with leaves should work with respect to protected packages
Removing with leaves should work with respect to protected packages
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 11:43 EDT by Robin Lee
Modified: 2014-01-21 18:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-23 19:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A trivial reproduced situation when installing php and removing it again (7.33 KB, text/plain)
2010-05-23 11:43 EDT, Robin Lee
no flags Details

  None (edit)
Description Robin Lee 2010-05-23 11:43:33 EDT
Created attachment 415969 [details]
A trivial reproduced situation when installing php and removing it again

Description of problem:
When removing package with '--remove-leaves' option, yum shows no regard to the protected packages set through the 'protect-packages' plugin.

Version-Release number of selected component (if applicable):

[cheese@cheese-laptop ~]$ rpm -qa yum*
yum-plugin-remove-with-leaves-1.1.26-1.fc13.noarch
yum-3.2.27-4.fc13.noarch
yum-utils-1.1.26-1.fc13.noarch
yum-plugin-protect-packages-1.1.26-1.fc13.noarch
yum-plugin-fastestmirror-1.1.26-1.fc13.noarch
yum-plugin-merge-conf-1.1.26-1.fc13.noarch
yum-presto-0.6.2-1.fc13.noarch
yum-metadata-parser-1.1.4-1.fc13.i686
yum-plugin-show-leaves-1.1.26-1.fc13.noarch

How reproducible:
(See the attached file install-and-remove-package.txt)
And I added 'httpd' in /etc/sysconfig/protected-packages .

Actual results:
'httpd' was still removed.

Expected results:
'httpd' will be protected from removing.
Comment 1 James Antill 2010-05-23 19:56:23 EDT
That might be fixable, but the upstream/rawhide yum moved protected-packages into core ... and it will work with other plugins then.

Note You need to log in before you can comment on or make changes to this bug.